<?php

namespace Drupal\flashpoint_access_code\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for Flashpoint access code usage edit forms.
 *
 * @ingroup flashpoint_access_code
 */
class FlashpointAccessCodeUsageForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /* @var $entity \Drupal\flashpoint_access_code\Entity\FlashpointAccessCodeUsage */
    $form = parent::buildForm($form, $form_state);

    $entity = $this->entity;

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;

    $status = parent::save($form, $form_state);

    switch ($status) {
      case SAVED_NEW:
        drupal_set_message($this->t('Created the %label Flashpoint access code usage.', [
          '%label' => $entity->label(),
        ]));
        break;

      default:
        drupal_set_message($this->t('Saved the %label Flashpoint access code usage.', [
          '%label' => $entity->label(),
        ]));
    }
    $form_state->setRedirect('entity.flashpoint_access_code_usage.canonical', ['flashpoint_access_code_usage' => $entity->id()]);
  }

}
